: Get book by ID

API: gutendex.com:gutendex-api
Endpoint: /books/{id}/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 224ms

Description

Get detailed information about a specific book.

Parameters (1)

id (integer, path, required)

Book ID

Examples (1)

Get book by ID openapi-spec
curl 'https://gutendex.com/books/84/'
import requests

resp = requests.get("https://gutendex.com/books/84/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("gutendex")
result = api.fetch("books/{id}/")

for item in result:
    print(item)
const resp = await fetch("https://gutendex.com/books/84/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:25:35.015514 200 224ms
2026-04-15 02:38:00.031407 200 278ms
2026-04-14 00:02:51.262370 200 885ms
2026-04-12 14:42:14.986347 200 218ms
2026-04-10 01:24:25.304572 200 615ms
2026-04-09 01:09:27.367264 200 292ms
2026-03-23 09:12:52.897210 200 162ms